﻿using System;
using System.Text;
using System.Windows.Forms;

// http://systemtak.blogspot.com/2009/09/eventos-delegados-en-c.html
// http://toyscaos.tripod.com

namespace DosVentanas
{
    public partial class Form1 : Form
    {
        private Form2 miForm = new Form2();        
        
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            Form3.form3.unEvento += new Form3.Enviar(PonerTexto);
            miForm.Contar += new Form2.Cuenta(CambiarCaption);
        }

        private void PonerTexto(string t) 
        {
            label1.Text = t;
        }

        private void Form1_MouseClick(object sender, MouseEventArgs e)
        {
                miForm.Show();
                Form3.form3.Show();                    
        }

        public void CambiarCaption(int c)
        {
            this.Text = c.ToString();
        }

    }
}
